Skip to main content
POST
/
validations
/
{validationId}
/
tasks
cURL
curl --request POST \
  --url https://api.cradl.ai/{basePath}/validations/{validationId}/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "input": {},
  "metadata": {},
  "name": "<string>",
  "description": "<string>",
  "agentRunId": "<string>"
}
'
{
  "updatedTime": "<string>",
  "metadata": {},
  "validationId": "<string>",
  "updatedBy": "<string>",
  "description": "<string>",
  "input": {},
  "createdBy": "<string>",
  "name": "<string>",
  "createdTime": "<string>",
  "taskId": "<string>",
  "warnings": [
    "<string>"
  ],
  "history": [
    {}
  ],
  "agentRunId": "<string>",
  "enabled": true,
  "output": {},
  "logId": "<string>",
  "id": "<string>",
  "errors": [
    "<string>"
  ],
  "status": "ready"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Content-Type
string
required

Path Parameters

validationId
string
required

Body

application/json
input
object
metadata
object
name
string | null
Maximum string length: 4096
description
string | null
Maximum string length: 4096
agentRunId
string
Pattern: ^((cradl|las):organization:[a-z0-9-_]+/)?cradl:agent:[a-z0-9-_]+/cradl:run:[a-z0-9-_]+$

Response

200 response

updatedTime
string | null
required
Pattern: ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
metadata
object
required
validationId
string
required
Pattern: ^cradl:validation:[a-f0-9]{32}$
updatedBy
string | null
required
Maximum string length: 4096
description
string | null
required
Maximum string length: 4096
input
object
required
createdBy
string
required
Maximum string length: 4096
name
string | null
required
Maximum string length: 4096
createdTime
string
required
Pattern: ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
taskId
string
required
Pattern: ^cradl:task:[a-f0-9]{32}$
warnings
string[] | null
history
object[]
agentRunId
string | null
Pattern: ^((cradl|las):organization:[a-z0-9-_]+/)?cradl:agent:[a-z0-9-_]+/cradl:run:[a-z0-9-_]+$
enabled
boolean
output
object
logId
string | null
Pattern: ^(cradl|las):log:[a-f0-9]{32}$
id
string
Pattern: ^((cradl|las):organization:[a-z0-9-_]+/)?cradl:validation:[a-z0-9-_]+/cradl:task:[a-z0-9-_]+$
errors
string[] | null
status
enum<string>
Available options:
ready,
in-progress,
succeeded,
failed,
cancelled